stages:
  - build
  - deploy

build-job:
  stage: build
  image: registry.gitlab.com/frenata-20-game-challenge/images/godot-web:latest
  script:
    - godot --quiet --headless --export-release Web
    - ls public/
  artifacts:
    untracked: false
    when: on_success
    expire_in: 1 days
    paths:
      - public/

deploy-job:
  stage: deploy
  image: registry.gitlab.com/frenata-20-game-challenge/images/netlify:latest
  environment: production
  script:
    - ls public/
    - netlify deploy --site $NETLIFY_SITE_ID --auth $NETLIFY_AUTH_TOKEN --dir public/ --prod